<?php
	function SetColCount(){
      global $COL_COUNT;
      global $lineBreak;

      $temp = "";
      $temp = "!CC~" . $COL_COUNT . $lineBreak;
      return $temp;
  }

  function Centralizar($msg, $negrito, $sublinhado, $fonteMaior)
  {
      global $lineBreak;

      $temp = "";
      $temp = "!AC~" . $msg;

    if($negrito == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($sublinhado == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($fonteMaior == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    $temp .= $lineBreak;

      return $temp;
  }

  function AlinharEsquerda($msg, $negrito, $sublinhado, $fonteMaior)
  {
      global $lineBreak;
      $temp = "";
      $temp = "!AE~" . $msg;

    if($negrito == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($sublinhado == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($fonteMaior == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    $temp .= $lineBreak;

      return $temp;
  }

  function LinhaPontilhada()
  {
      global $lineBreak;
      $temp = "";
      $temp = "!LP" . $lineBreak;
      return $temp;
  }

  function AlinharEsquerdaDireitaMargin($esq, $dir, $margin, $negrito, $sublinhado, $fonteMaior)
  {
      global $lineBreak;
      $temp = "";
      $temp = "!EDM~" . $esq . "~" . $dir . "~" . $margin;

    if($negrito == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($sublinhado == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    if($fonteMaior == true)
    {
      $temp .= "~true";
    }
    else
    {
      $temp .= "~false";
    }

    $temp .= $lineBreak;

      return $temp;
  }

  function LineFeed()
  {
      global $lineBreak;
      return "!LF" . $lineBreak;
  }

  function trataTxt($str) {

    $str = str_replace("á", "a", $str);

    $str = str_replace("á", "a", $str);
    $str = str_replace("é", "e", $str);
    $str = str_replace("í", "i", $str);
    $str = str_replace("ó", "o", $str);
    $str = str_replace("ú", "u", $str);

    $str = str_replace("à", "a", $str);
    $str = str_replace("è", "e", $str);
    $str = str_replace("ì", "i", $str);
    $str = str_replace("ò", "o", $str);
    $str = str_replace("ù", "ù", $str);

    $str = str_replace("ã", "a", $str);
    $str = str_replace("õ", "o", $str);
    $str = str_replace("â", "a", $str);
    $str = str_replace("ê", "e", $str);
    $str = str_replace("î", "i", $str);
    $str = str_replace("ô", "o", $str);
    $str = str_replace("û", "u", $str);

    $str = str_replace(",", " ", $str);
    $str = str_replace("!", " ", $str);
    $str = str_replace("#", " ", $str);
    $str = str_replace("%", "", $str);
    $str = str_replace("¬", " ", $str);
    $str = str_replace("{", " ", $str);
    $str = str_replace("}", " ", $str);

    $str = str_replace("^", " ", $str);
    $str = str_replace("´", " ", $str);
    $str = str_replace("`", " ", $str);
    $str = str_replace("", " ", $str);
    $str = str_replace("/", " ", $str);
    $str = str_replace(";", " ", $str);
    $str = str_replace(":", " ", $str);
    $str = str_replace("?", " ", $str);

    $str = str_replace("¹", "1", $str);
    $str = str_replace("²", "2", $str);
    $str = str_replace("³", "3", $str);
    $str = str_replace("ª", "a", $str);
    $str = str_replace("º", "o", $str);
    $str = str_replace("ç", "c", $str);
    $str = str_replace("ü", "u", $str);

    $str = str_replace("ä", "a", $str);
    $str = str_replace("ï", "i", $str);
    $str = str_replace("ö", "o", $str);
    $str = str_replace("ë", "e", $str);
    $str = str_replace("É", "E", $str);
    $str = str_replace("$", "s", $str);
    $str = str_replace("ÿ", "y", $str);
    $str = str_replace("w", "w", $str);
    $str = str_replace("<", " ", $str);

    $str = str_replace(">", " ", $str);
    $str = str_replace("[", " ", $str);
    $str = str_replace("]", " ", $str);
    $str = str_replace("&", "e", $str);
    $str = str_replace("'", '' , $str);
    $str = str_replace('"', " ", $str);
    $str = str_replace('1', '1', $str);

    $str = str_replace('2', '2', $str);
    $str = str_replace('3', '3', $str);
    $str = str_replace('4', '4', $str);
    $str = str_replace('5', '5', $str);
    $str = str_replace('6', '6', $str);
    $str = str_replace('7', '7', $str);
    $str = str_replace('8', '8', $str);
    $str = str_replace('9', '9', $str);

    $str = str_replace('0', '0', $str);
    $str = str_replace('á', 'a', $str);
    $str = str_replace('Á', 'A', $str);
    $str = str_replace('é', 'e', $str);
    $str = str_replace('É', 'E', $str);
    $str = str_replace('í', 'i', $str);
    $str = str_replace('Í', 'i', $str);
    $str = str_replace('ó', 'o', $str);

    $str = str_replace('Ó', 'O', $str);
    $str = str_replace('ú', 'u', $str);
    $str = str_replace('Ú', 'U', $str);
    $str = str_replace('â', 'â', $str);
    $str = str_replace('â', 'â', $str);
    $str = str_replace('ê', 'ê', $str);
    $str = str_replace('Ê', 'â', $str);

    $str = str_replace('ô', 'ô', $str);
    $str = str_replace('Ô', 'â', $str);
    $str = str_replace('à', 'a', $str);
    $str = str_replace('À', 'â', $str);
    $str = str_replace('ç', 'c', $str);
    $str = str_replace('Ç', 'C', $str);
    $str = str_replace('ã', 'a', $str);

    $str = str_replace('Ã', 'ã', $str);
    $str = str_replace('õ', 'o', $str);
    $str = str_replace('Õ', 'o', $str);

    return $str;
  }
?>